Drop the USE_PRINTK_IN_CAR option. It's a bogus decision to make for any user /
board porter: printk should always be available in CAR mode.

Also drop CONFIG_USE_INIT, it's only been selected on one ASROCK board but it's
not been used there. Very odd.

There is one usage of CONFIG_USE_INIT which was always off in 
src/cpu/intel/car/cache_as_ram.inc and we have to figure out what to do with
those few lines.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: src/Kconfig
===================================================================
--- src/Kconfig	(revision 5677)
+++ src/Kconfig	(working copy)
@@ -140,10 +140,6 @@
 	hex
 	default 0x4000
 
-config USE_PRINTK_IN_CAR
-	bool
-	default n
-
 config MAX_CPUS
 	int
 	default 1
Index: src/include/cpu/x86/bist.h
===================================================================
--- src/include/cpu/x86/bist.h	(revision 5677)
+++ src/include/cpu/x86/bist.h	(working copy)
@@ -4,7 +4,7 @@
 static void report_bist_failure(u32 bist)
 {
 	if (bist != 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                 printk(BIOS_EMERG, "BIST failed: %08x", bist);
 #else
 		print_emerg("BIST failed: ");
Index: src/include/assert.h
===================================================================
--- src/include/assert.h	(revision 5677)
+++ src/include/assert.h	(working copy)
@@ -20,7 +20,7 @@
 #ifndef __ASSERT_H__
 #define __ASSERT_H__
 
-#if defined(__PRE_RAM__) && !CONFIG_USE_PRINTK_IN_CAR
+#if defined(__PRE_RAM__) && !CONFIG_USE_DCACHE_RAM
 
 /* ROMCC versions */
 #define ASSERT(x) {						\
Index: src/cpu/via/model_c7/Kconfig
===================================================================
--- src/cpu/via/model_c7/Kconfig	(revision 5677)
+++ src/cpu/via/model_c7/Kconfig	(working copy)
@@ -3,7 +3,6 @@
 	select UDELAY_TSC
 	select MMX
 	select SSE2
-	select USE_PRINTK_IN_CAR
 
 config DCACHE_RAM_BASE
 	hex
Index: src/cpu/amd/model_fxx/Kconfig
===================================================================
--- src/cpu/amd/model_fxx/Kconfig	(revision 5677)
+++ src/cpu/amd/model_fxx/Kconfig	(working copy)
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_FXX
 	bool
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select MMX
 	select SSE
Index: src/cpu/amd/model_10xxx/Kconfig
===================================================================
--- src/cpu/amd/model_10xxx/Kconfig	(revision 5677)
+++ src/cpu/amd/model_10xxx/Kconfig	(working copy)
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_10XXX
 	bool
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select SSE
 	select SSE2
Index: src/cpu/intel/socket_FC_PGA370/Kconfig
===================================================================
--- src/cpu/intel/socket_FC_PGA370/Kconfig	(revision 5677)
+++ src/cpu/intel/socket_FC_PGA370/Kconfig	(working copy)
@@ -23,7 +23,6 @@
 	select CPU_INTEL_MODEL_68X
 	select MMX
 	select SSE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select TINY_BOOTBLOCK
 
Index: src/mainboard/iwill/dk8_htx/Kconfig
===================================================================
--- src/mainboard/iwill/dk8_htx/Kconfig	(revision 5677)
+++ src/mainboard/iwill/dk8_htx/Kconfig	(working copy)
@@ -12,7 +12,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/iwill/dk8s2/Kconfig
===================================================================
--- src/mainboard/iwill/dk8s2/Kconfig	(revision 5677)
+++ src/mainboard/iwill/dk8s2/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_OPTION_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/iwill/dk8x/Kconfig
===================================================================
--- src/mainboard/iwill/dk8x/Kconfig	(revision 5677)
+++ src/mainboard/iwill/dk8x/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/asrock/939a785gmh/Kconfig
===================================================================
--- src/mainboard/asrock/939a785gmh/Kconfig	(revision 5677)
+++ src/mainboard/asrock/939a785gmh/Kconfig	(working copy)
@@ -16,7 +16,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_BUS_CONFIG
 	select LIFT_BSP_APIC_ID
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
@@ -93,11 +92,6 @@
 	default 0x0
 	depends on BOARD_ASROCK_939A785GMH
 
-config USE_INIT
-	bool
-	default n
-	depends on BOARD_ASROCK_939A785GMH
-
 config IRQ_SLOT_COUNT
 	int
 	default 11
Index: src/mainboard/getac/p470/Kconfig
===================================================================
--- src/mainboard/getac/p470/Kconfig	(revision 5677)
+++ src/mainboard/getac/p470/Kconfig	(working copy)
@@ -37,7 +37,6 @@
 	select HAVE_ACPI_SLIC
 	select HAVE_MAINBOARD_RESOURCES
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select AP_IN_SIPI_WAIT
 	select UDELAY_LAPIC
 	select HAVE_SMI_HANDLER
Index: src/mainboard/broadcom/blast/Kconfig
===================================================================
--- src/mainboard/broadcom/blast/Kconfig	(revision 5677)
+++ src/mainboard/broadcom/blast/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/thomson/ip1000/Kconfig
===================================================================
--- src/mainboard/thomson/ip1000/Kconfig	(revision 5677)
+++ src/mainboard/thomson/ip1000/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select BOARD_ROMSIZE_KB_512
 	select HAVE_HARD_RESET
 	select HAVE_MAINBOARD_RESOURCES
-	select USE_PRINTK_IN_CAR
 	select HAVE_SMI_HANDLER
 	select GFXUMA
 	select USE_DCACHE_RAM
Index: src/mainboard/wyse/s50/Kconfig
===================================================================
--- src/mainboard/wyse/s50/Kconfig	(revision 5677)
+++ src/mainboard/wyse/s50/Kconfig	(working copy)
@@ -25,7 +25,6 @@
 	select SOUTHBRIDGE_AMD_CS5536
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/supermicro/h8dmr/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dmr/Kconfig	(revision 5677)
+++ src/mainboard/supermicro/h8dmr/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/supermicro/h8dme/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dme/Kconfig	(revision 5677)
+++ src/mainboard/supermicro/h8dme/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	#select AP_CODE_IN_CAR
Index: src/mainboard/supermicro/h8dmr_fam10/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dmr_fam10/Kconfig	(revision 5677)
+++ src/mainboard/supermicro/h8dmr_fam10/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/supermicro/h8qme_fam10/Kconfig
===================================================================
--- src/mainboard/supermicro/h8qme_fam10/Kconfig	(revision 5677)
+++ src/mainboard/supermicro/h8qme_fam10/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/kontron/986lcd-m/Kconfig
===================================================================
--- src/mainboard/kontron/986lcd-m/Kconfig	(revision 5677)
+++ src/mainboard/kontron/986lcd-m/Kconfig	(working copy)
@@ -15,7 +15,6 @@
 	select HAVE_ACPI_RESUME
 	select HAVE_MAINBOARD_RESOURCES
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select HAVE_SMI_HANDLER
 	select BOARD_ROMSIZE_KB_1024
 	select USE_DCACHE_RAM
Index: src/mainboard/kontron/kt690/Kconfig
===================================================================
--- src/mainboard/kontron/kt690/Kconfig	(revision 5677)
+++ src/mainboard/kontron/kt690/Kconfig	(working copy)
@@ -14,7 +14,6 @@
 	select HAVE_MP_TABLE
 	select HAVE_MAINBOARD_RESOURCES
 	select GFXUMA
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select HAVE_ACPI_TABLES
Index: src/mainboard/digitallogic/msm800sev/Kconfig
===================================================================
--- src/mainboard/digitallogic/msm800sev/Kconfig	(revision 5677)
+++ src/mainboard/digitallogic/msm800sev/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/digitallogic/adl855pc/Kconfig
===================================================================
--- src/mainboard/digitallogic/adl855pc/Kconfig	(revision 5677)
+++ src/mainboard/digitallogic/adl855pc/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_1024
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select TINY_BOOTBLOCK
 
Index: src/mainboard/traverse/geos/Kconfig
===================================================================
--- src/mainboard/traverse/geos/Kconfig	(revision 5677)
+++ src/mainboard/traverse/geos/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_1024
 
 config MAINBOARD_DIR
Index: src/mainboard/gigabyte/m57sli/Kconfig
===================================================================
--- src/mainboard/gigabyte/m57sli/Kconfig	(revision 5677)
+++ src/mainboard/gigabyte/m57sli/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/gigabyte/ga_2761gxdk/Kconfig
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Kconfig	(revision 5677)
+++ src/mainboard/gigabyte/ga_2761gxdk/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/olpc/btest/Kconfig
===================================================================
--- src/mainboard/olpc/btest/Kconfig	(revision 5677)
+++ src/mainboard/olpc/btest/Kconfig	(working copy)
@@ -6,7 +6,6 @@
 	select SOUTHBRIDGE_AMD_CS5536
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
 
Index: src/mainboard/olpc/rev_a/Kconfig
===================================================================
--- src/mainboard/olpc/rev_a/Kconfig	(revision 5677)
+++ src/mainboard/olpc/rev_a/Kconfig	(working copy)
@@ -6,7 +6,6 @@
 	select SOUTHBRIDGE_AMD_CS5536
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
 
Index: src/mainboard/amd/mahogany/Kconfig
===================================================================
--- src/mainboard/amd/mahogany/Kconfig	(revision 5677)
+++ src/mainboard/amd/mahogany/Kconfig	(working copy)
@@ -15,7 +15,6 @@
 	select HAVE_MAINBOARD_RESOURCES
 	select HAVE_BUS_CONFIG
 	select LIFT_BSP_APIC_ID
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/amd/pistachio/Kconfig
===================================================================
--- src/mainboard/amd/pistachio/Kconfig	(revision 5677)
+++ src/mainboard/amd/pistachio/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/amd/dbm690t/Kconfig
===================================================================
--- src/mainboard/amd/dbm690t/Kconfig	(revision 5677)
+++ src/mainboard/amd/dbm690t/Kconfig	(working copy)
@@ -14,7 +14,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_MAINBOARD_RESOURCES
 	select HAVE_BUS_CONFIG
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/amd/rumba/Kconfig
===================================================================
--- src/mainboard/amd/rumba/Kconfig	(revision 5677)
+++ src/mainboard/amd/rumba/Kconfig	(working copy)
@@ -25,7 +25,6 @@
 	select SOUTHBRIDGE_AMD_CS5536
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
 
Index: src/mainboard/amd/serengeti_cheetah/Kconfig
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Kconfig	(revision 5677)
+++ src/mainboard/amd/serengeti_cheetah/Kconfig	(working copy)
@@ -12,7 +12,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/amd/serengeti_cheetah/ap_romstage.c
===================================================================
--- src/mainboard/amd/serengeti_cheetah/ap_romstage.c	(revision 5677)
+++ src/mainboard/amd/serengeti_cheetah/ap_romstage.c	(working copy)
@@ -32,8 +32,6 @@
 
 #include "lib/delay.c"
 
-
-//#include "cpu/x86/lapic/boot_cpu.c"
 #include "northbridge/amd/amdk8/reset_test.c"
 
 #include "northbridge/amd/amdk8/debug.c"
@@ -65,11 +63,7 @@
 
 	id = get_node_core_id_x();
 
-#if CONFIG_USE_PRINTK_IN_CAR
         printk(BIOS_DEBUG, "CODE IN CACHE ON NODE: %02x\n");
-#else
-        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
-#endif
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/amd/mahogany_fam10/Kconfig
===================================================================
--- src/mainboard/amd/mahogany_fam10/Kconfig	(revision 5677)
+++ src/mainboard/amd/mahogany_fam10/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select GENERATE_PIRQ_TABLE
 	select GENERATE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select HAVE_MAINBOARD_RESOURCES
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
Index: src/mainboard/amd/tilapia_fam10/Kconfig
===================================================================
--- src/mainboard/amd/tilapia_fam10/Kconfig	(revision 5677)
+++ src/mainboard/amd/tilapia_fam10/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select GENERATE_PIRQ_TABLE
 	select GENERATE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select HAVE_MAINBOARD_RESOURCES
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
Index: src/mainboard/amd/norwich/Kconfig
===================================================================
--- src/mainboard/amd/norwich/Kconfig	(revision 5677)
+++ src/mainboard/amd/norwich/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/amd/serengeti_cheetah_fam10/Kconfig
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Kconfig	(revision 5677)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/amd/db800/Kconfig
===================================================================
--- src/mainboard/amd/db800/Kconfig	(revision 5677)
+++ src/mainboard/amd/db800/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/rca/rm4100/Kconfig
===================================================================
--- src/mainboard/rca/rm4100/Kconfig	(revision 5677)
+++ src/mainboard/rca/rm4100/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select BOARD_ROMSIZE_KB_1024
 	select HAVE_HARD_RESET
 	select HAVE_MAINBOARD_RESOURCES
-	select USE_PRINTK_IN_CAR
 	select HAVE_SMI_HANDLER
 	select GFXUMA
 	select USE_DCACHE_RAM
Index: src/mainboard/iei/pcisa-lx-800-r10/Kconfig
===================================================================
--- src/mainboard/iei/pcisa-lx-800-r10/Kconfig	(revision 5677)
+++ src/mainboard/iei/pcisa-lx-800-r10/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/hp/dl145_g3/Kconfig
===================================================================
--- src/mainboard/hp/dl145_g3/Kconfig	(revision 5677)
+++ src/mainboard/hp/dl145_g3/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/artecgroup/dbe61/Kconfig
===================================================================
--- src/mainboard/artecgroup/dbe61/Kconfig	(revision 5677)
+++ src/mainboard/artecgroup/dbe61/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/pcengines/alix1c/Kconfig
===================================================================
--- src/mainboard/pcengines/alix1c/Kconfig	(revision 5677)
+++ src/mainboard/pcengines/alix1c/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
Index: src/mainboard/tyan/s2912/Kconfig
===================================================================
--- src/mainboard/tyan/s2912/Kconfig	(revision 5677)
+++ src/mainboard/tyan/s2912/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/tyan/s2735/Kconfig
===================================================================
--- src/mainboard/tyan/s2735/Kconfig	(revision 5677)
+++ src/mainboard/tyan/s2735/Kconfig	(working copy)
@@ -15,7 +15,6 @@
 	select USE_DCACHE_RAM
 	select USE_WATCHDOG_ON_BOOT
 	select BOARD_ROMSIZE_KB_512
-	select USE_PRINTK_IN_CAR
 
 config MAINBOARD_DIR
 	string
Index: src/mainboard/tyan/s4880/Kconfig
===================================================================
--- src/mainboard/tyan/s4880/Kconfig	(revision 5677)
+++ src/mainboard/tyan/s4880/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/tyan/s4882/Kconfig
===================================================================
--- src/mainboard/tyan/s4882/Kconfig	(revision 5677)
+++ src/mainboard/tyan/s4882/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/tyan/s2912_fam10/Kconfig
===================================================================
--- src/mainboard/tyan/s2912_fam10/Kconfig	(revision 5677)
+++ src/mainboard/tyan/s2912_fam10/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/lippert/roadrunner-lx/Kconfig
===================================================================
--- src/mainboard/lippert/roadrunner-lx/Kconfig	(revision 5677)
+++ src/mainboard/lippert/roadrunner-lx/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
Index: src/mainboard/lippert/frontrunner/Kconfig
===================================================================
--- src/mainboard/lippert/frontrunner/Kconfig	(revision 5677)
+++ src/mainboard/lippert/frontrunner/Kconfig	(working copy)
@@ -6,7 +6,6 @@
 	select SOUTHBRIDGE_AMD_CS5535
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select HAVE_PIRQ_TABLE
 	select BOARD_ROMSIZE_KB_256
 
Index: src/mainboard/lippert/spacerunner-lx/Kconfig
===================================================================
--- src/mainboard/lippert/spacerunner-lx/Kconfig	(revision 5677)
+++ src/mainboard/lippert/spacerunner-lx/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
Index: src/mainboard/ibase/mb899/Kconfig
===================================================================
--- src/mainboard/ibase/mb899/Kconfig	(revision 5677)
+++ src/mainboard/ibase/mb899/Kconfig	(working copy)
@@ -15,7 +15,6 @@
 	select HAVE_ACPI_RESUME
 	select HAVE_MAINBOARD_RESOURCES
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select HAVE_SMI_HANDLER
 	select BOARD_ROMSIZE_KB_512
 	select USE_DCACHE_RAM
Index: src/mainboard/roda/rk886ex/Kconfig
===================================================================
--- src/mainboard/roda/rk886ex/Kconfig	(revision 5677)
+++ src/mainboard/roda/rk886ex/Kconfig	(working copy)
@@ -13,7 +13,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select HAVE_SMI_HANDLER
 	select HAVE_ACPI_TABLES
 	select HAVE_ACPI_RESUME
Index: src/mainboard/msi/ms7135/Kconfig
===================================================================
--- src/mainboard/msi/ms7135/Kconfig	(revision 5677)
+++ src/mainboard/msi/ms7135/Kconfig	(working copy)
@@ -12,7 +12,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
Index: src/mainboard/msi/ms9282/Kconfig
===================================================================
--- src/mainboard/msi/ms9282/Kconfig	(revision 5677)
+++ src/mainboard/msi/ms9282/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select K8_REV_F_SUPPORT
Index: src/mainboard/msi/ms9185/Kconfig
===================================================================
--- src/mainboard/msi/ms9185/Kconfig	(revision 5677)
+++ src/mainboard/msi/ms9185/Kconfig	(working copy)
@@ -11,7 +11,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/msi/ms9652_fam10/Kconfig
===================================================================
--- src/mainboard/msi/ms9652_fam10/Kconfig	(revision 5677)
+++ src/mainboard/msi/ms9652_fam10/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_OPTION_TABLE
 	select HAVE_HARD_RESET
Index: src/mainboard/msi/ms7260/Kconfig
===================================================================
--- src/mainboard/msi/ms7260/Kconfig	(revision 5677)
+++ src/mainboard/msi/ms7260/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/arima/hdama/Kconfig
===================================================================
--- src/mainboard/arima/hdama/Kconfig	(revision 5677)
+++ src/mainboard/arima/hdama/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_OPTION_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/sunw/ultra40/Kconfig
===================================================================
--- src/mainboard/sunw/ultra40/Kconfig	(revision 5677)
+++ src/mainboard/sunw/ultra40/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_1024
Index: src/mainboard/newisys/khepri/Kconfig
===================================================================
--- src/mainboard/newisys/khepri/Kconfig	(revision 5677)
+++ src/mainboard/newisys/khepri/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/technexion/tim8690/Kconfig
===================================================================
--- src/mainboard/technexion/tim8690/Kconfig	(revision 5677)
+++ src/mainboard/technexion/tim8690/Kconfig	(working copy)
@@ -12,7 +12,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/technexion/tim5690/Kconfig
===================================================================
--- src/mainboard/technexion/tim5690/Kconfig	(revision 5677)
+++ src/mainboard/technexion/tim5690/Kconfig	(working copy)
@@ -12,7 +12,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/winent/pl6064/Kconfig
===================================================================
--- src/mainboard/winent/pl6064/Kconfig	(revision 5677)
+++ src/mainboard/winent/pl6064/Kconfig	(working copy)
@@ -9,7 +9,6 @@
 	select PIRQ_ROUTE
 	select UDELAY_TSC
 	select USE_DCACHE_RAM
-	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
Index: src/mainboard/ibm/e326/Kconfig
===================================================================
--- src/mainboard/ibm/e326/Kconfig	(revision 5677)
+++ src/mainboard/ibm/e326/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/ibm/e325/Kconfig
===================================================================
--- src/mainboard/ibm/e325/Kconfig	(revision 5677)
+++ src/mainboard/ibm/e325/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
Index: src/mainboard/nvidia/l1_2pvv/Kconfig
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Kconfig	(revision 5677)
+++ src/mainboard/nvidia/l1_2pvv/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select LIFT_BSP_APIC_ID
Index: src/mainboard/intel/d945gclf/Kconfig
===================================================================
--- src/mainboard/intel/d945gclf/Kconfig	(revision 5677)
+++ src/mainboard/intel/d945gclf/Kconfig	(working copy)
@@ -37,7 +37,6 @@
 	select HAVE_ACPI_RESUME
 	select HAVE_MAINBOARD_RESOURCES
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select HAVE_ACPI_TABLES
 	select HAVE_SMI_HANDLER
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/intel/eagleheights/Kconfig
===================================================================
--- src/mainboard/intel/eagleheights/Kconfig	(revision 5677)
+++ src/mainboard/intel/eagleheights/Kconfig	(working copy)
@@ -13,7 +13,6 @@
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select MMCONF_SUPPORT
-	select USE_PRINTK_IN_CAR
 	select UDELAY_TSC
 	select AP_IN_SIPI_WAIT
 	select HAVE_ACPI_TABLES
Index: src/mainboard/asus/a8v-e_se/Kconfig
===================================================================
--- src/mainboard/asus/a8v-e_se/Kconfig	(revision 5677)
+++ src/mainboard/asus/a8v-e_se/Kconfig	(working copy)
@@ -8,7 +8,6 @@
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SOUTHBRIDGE_VIA_K8T890
 	select SUPERIO_WINBOND_W83627EHG
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_OPTION_TABLE
 	select HAVE_ACPI_TABLES
Index: src/mainboard/asus/a8n_e/Kconfig
===================================================================
--- src/mainboard/asus/a8n_e/Kconfig	(revision 5677)
+++ src/mainboard/asus/a8n_e/Kconfig	(working copy)
@@ -10,7 +10,6 @@
 	select HAVE_OPTION_TABLE
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
 	select BOARD_ROMSIZE_KB_512
Index: src/mainboard/asus/m2v-mx_se/Kconfig
===================================================================
--- src/mainboard/asus/m2v-mx_se/Kconfig	(revision 5677)
+++ src/mainboard/asus/m2v-mx_se/Kconfig	(working copy)
@@ -26,7 +26,6 @@
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SOUTHBRIDGE_VIA_K8M890
 	select SUPERIO_ITE_IT8712F
-	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_OPTION_TABLE
 	select HAVE_ACPI_TABLES
Index: src/lib/usbdebug.c
===================================================================
--- src/lib/usbdebug.c	(revision 5677)
+++ src/lib/usbdebug.c	(working copy)
@@ -22,7 +22,7 @@
 #if !defined(__ROMCC__)
 #include <console/console.h>
 #else
-#if CONFIG_USE_PRINTK_IN_CAR==0
+#if CONFIG_USE_DCACHE_RAM==0
 #define printk(BIOS_DEBUG, fmt, arg...)   do {} while(0)
 #endif
 #endif
Index: src/lib/generic_sdram.c
===================================================================
--- src/lib/generic_sdram.c	(revision 5677)
+++ src/lib/generic_sdram.c	(working copy)
@@ -6,7 +6,7 @@
 
 static inline void print_debug_sdram_8(const char *strval, uint32_t val)
 {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
         printk(BIOS_DEBUG, "%s%02x\n", strval, val);
 #else
         print_debug(strval); print_debug_hex8(val); print_debug("\n");
Index: src/lib/ramtest.c
===================================================================
--- src/lib/ramtest.c	(revision 5677)
+++ src/lib/ramtest.c	(working copy)
@@ -51,7 +51,7 @@
 	/*
 	 * Fill.
 	 */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "DRAM fill: 0x%08lx-0x%08lx\n", start, stop);
 #else
 	print_debug("DRAM fill: ");
@@ -63,7 +63,7 @@
 	for(addr = start; addr < stop ; addr += 4) {
 		/* Display address being filled */
 		if (!(addr & 0xfffff)) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_DEBUG, "%08lx \r", addr);
 #else
 			print_debug_hex32(addr);
@@ -73,7 +73,7 @@
 		write_phys(addr, (u32)addr);
 	};
 	/* Display final address */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "%08lx\nDRAM filled\n", addr);
 #else
 	print_debug_hex32(addr);
@@ -88,7 +88,7 @@
 	/*
 	 * Verify.
 	 */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "DRAM verify: 0x%08lx-0x%08lx\n", start, stop);
 #else
 	print_debug("DRAM verify: ");
@@ -101,7 +101,7 @@
 		unsigned long value;
 		/* Display address being tested */
 		if (!(addr & 0xfffff)) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_DEBUG, "%08lx \r", addr);
 #else
 			print_debug_hex32(addr);
@@ -111,7 +111,7 @@
 		value = read_phys(addr);
 		if (value != addr) {
 			/* Display address with error */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_ERR, "Fail: @0x%08lx Read value=0x%08lx\n", addr, value);
 #else
 			print_err("Fail: @0x");
@@ -122,7 +122,7 @@
 #endif
 			i++;
 			if(i>256) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 				printk(BIOS_DEBUG, "Aborting.\n");
 #else
 				print_debug("Aborting.\n");
@@ -132,14 +132,14 @@
 		}
 	}
 	/* Display final address */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "%08lx", addr);
 #else
 	print_debug_hex32(addr);
 #endif
 
 	if (i) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, "\nDRAM did _NOT_ verify!\n");
 #else
 		print_debug("\nDRAM did _NOT_ verify!\n");
@@ -147,7 +147,7 @@
 		die("DRAM ERROR");
 	}
 	else {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, "\nDRAM range verified.\n");
 #else
 		print_debug("\nDRAM range verified.\n");
@@ -163,7 +163,7 @@
 	 * test than a "Is my DRAM faulty?" test.  Not all bits
 	 * are tested.   -Tyson
 	 */
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "Testing DRAM : %08lx - %08lx\n", start, stop);
 #else
 	print_debug("Testing DRAM : ");
@@ -176,7 +176,7 @@
 	/* Make sure we don't read before we wrote */
 	phys_memory_barrier();
 	ram_verify(start, stop);
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "Done.\n");
 #else
 	print_debug("Done.\n");
Index: src/northbridge/intel/e7501/debug.c
===================================================================
--- src/northbridge/intel/e7501/debug.c	(revision 5677)
+++ src/northbridge/intel/e7501/debug.c	(working copy)
@@ -39,7 +39,7 @@
 	for(i = 0; i < 256; i++) {
 		unsigned char val;
 		if ((i & 0x0f) == 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                         printk(BIOS_DEBUG, "\n%02x:",i);
 #else
 			print_debug("\n");
@@ -48,7 +48,7 @@
 #endif
 		}
 		val = pci_read_config8(dev, i);
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, " %02x", val);
 #else
 		print_debug_char(' ');
@@ -101,7 +101,7 @@
 		device = ctrl->channel0[i];
 		if (device) {
 			int j;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_DEBUG, "dimm: %02x.0: %02x", i, device);
 #else
 			print_debug("dimm: ");
@@ -113,7 +113,7 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 					printk(BIOS_DEBUG, "\n%02x: ", j);
 #else
 					print_debug("\n");
@@ -126,7 +126,7 @@
 					break;
 				}
 				byte = status & 0xff;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 				printk(BIOS_DEBUG, "%02x ", byte);
 #else
 				print_debug_hex8(byte);
@@ -138,7 +138,7 @@
 		device = ctrl->channel1[i];
 		if (device) {
 			int j;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                         printk(BIOS_DEBUG, "dimm: %02x.1: %02x", i, device);
 #else
 			print_debug("dimm: ");
@@ -150,7 +150,7 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                                         printk(BIOS_DEBUG, "\n%02x: ", j);
 #else
 					print_debug("\n");
@@ -163,7 +163,7 @@
 					break;
 				}
 				byte = status & 0xff;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                                 printk(BIOS_DEBUG, "%02x ", byte);
 #else
 				print_debug_hex8(byte);
@@ -181,7 +181,7 @@
         for(device = 1; device < 0x80; device++) {
                 int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, "smbus: %02x", device);
 #else
                 print_debug("smbus: ");
@@ -195,7 +195,7 @@
 				break;
                         }
                         if ((j & 0xf) == 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 				printk(BIOS_DEBUG, "\n%02x: ",j);
 #else
                 	        print_debug("\n");
@@ -204,7 +204,7 @@
 #endif
                         }
                         byte = status & 0xff;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
                         printk(BIOS_DEBUG, "%02x ", byte);
 #else
                         print_debug_hex8(byte);
@@ -219,7 +219,7 @@
 {
 
 	int i;
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 	printk(BIOS_DEBUG, "%04x:\n", port);
 #else
         print_debug_hex16(port);
@@ -228,7 +228,7 @@
         for(i=0;i<256;i++) {
                 uint8_t val;
                 if ((i & 0x0f) == 0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_DEBUG, "%02x:", i);
 #else
                         print_debug_hex8(i);
@@ -236,7 +236,7 @@
 #endif
                 }
                 val = inb(port);
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, " %02x",val);
 #else
                 print_debug_char(' ');
@@ -255,7 +255,7 @@
 	print_debug("dump_mem:");
         for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 			printk(BIOS_DEBUG, "\n%08x:", i);
 #else
 			print_debug("\n");
@@ -263,7 +263,7 @@
 			print_debug(":");
 #endif
 		}
-#if CONFIG_USE_PRINTK_IN_CAR
+#if CONFIG_USE_DCACHE_RAM
 		printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
 #else
 		print_debug(" ");
Index: src/pc80/serial.c
===================================================================
--- src/pc80/serial.c	(revision 5677)
+++ src/pc80/serial.c	(working copy)
@@ -28,7 +28,7 @@
 #define UART_LCS	CONFIG_TTYS0_LCS
 
 
-#if CONFIG_USE_PRINTK_IN_CAR == 0
+#if CONFIG_USE_DCACHE_RAM == 0
 
 /* Data */
 #define UART_RBR 0x00
@@ -97,7 +97,7 @@
 }
 
 #else
-/* CONFIG_USE_PRINTK_IN_CAR == 1 */
+/* CONFIG_USE_DCACHE_RAM == 1 */
 
 extern void uart8250_init(unsigned base_port, unsigned divisor, unsigned lcs);
 void uart_init(void)
Index: documentation/LinuxBIOS-AMD64.tex
===================================================================
--- documentation/LinuxBIOS-AMD64.tex	(revision 5677)
+++ documentation/LinuxBIOS-AMD64.tex	(working copy)
@@ -1533,14 +1533,6 @@
 
 Set to \texttt{1} to use Cache As Ram (CAR). Defaults to \texttt{0}
 
-\item \begin{verbatim}CONFIG_USE_INIT\end{verbatim}
-
-Set to \texttt{1} to figure this out. Defaults to \texttt{0}
-
-\item \begin{verbatim}CONFIG_USE_PRINTK_IN_CAR\end{verbatim}
-
-Set to \texttt{1} to use printk, instead of the primitive print functions, in CAR. Defaults to \texttt{0}
-
 \end{itemize}
 
 Before going over the new image types, derived from v3, we will quickly review the standard v2 image types. We are hoping this review will
@@ -1646,42 +1638,7 @@
 No significant change from romcc code.
 \subsubsection{boot sequence}
 No significant change from romcc code, except that the CAR code has to set up a stack.
-\subsection{car + CONFIG\_USE\_PRINTK\_IN\_CAR images}
-When CONFIG\_USE\_PRINTK\_IN\_CAR is set, the CAR code can use printk instead of the primitive print functions. This config variable is used in one of two ways. If CONFIG\_USE\_INIT is 0, then different .c files just include other .c files, as in console.c:
-\begin{verbatim}
-#if CONFIG_USE_PRINTK_IN_CAR == 0
-static void __console_tx_byte(unsigned char byte)
-{
-        uart_tx_byte(byte);
-}
 
-#include "console_print.c"
-
-#else
-/* CONFIG_USE_PRINTK_IN_CAR == 1 */
-
-#include "console_printk.c"
-
-#if CONFIG_USE_INIT == 0
-// do_printk
-#include "../../../console/vtxprintf.c"
-#include "printk_init.c"
-#endif
-
-#endif /* CONFIG_USE_PRINTK_IN_CAR */
-
-\end{verbatim}\footnote{yuck!}
-
-If CONFIG\_USE\_INIT is 1, then the Config.lb is configured differently:
-\begin{verbatim}
-if CONFIG_USE_INIT
-        if CONFIG_USE_PRINTK_IN_CAR
-                initobject printk_init.o
-        end
-end
-
-\end{verbatim}\footnote{see previous footnote}
-
 \subsubsection{layout}
 No significant change from romcc code.
 \subsubsection{boot sequence}
